site_name: EuXFEL Offline calibration

theme:
  name: "material"
  features:
    - navigation.tabs
    - navigation.tabs.sticky
    - navigation.sections
    - navigation.top
    - navigation.instant
    - navigation.tracking
    - search.suggest
    - search.highlight
    - content.tabs.link
    - content.code.annotation
    - content.code.copy
    - navigation.indexes
    - content.tooltips
    - toc.follow
  language: en
  palette:
    - scheme: light
      toggle:
        icon: material/lightbulb
        name: Switch to dark mode
    - scheme: slate
      toggle:
        icon: material/lightbulb-outline
        name: Switch to light mode

markdown_extensions:
  - abbr
  - pymdownx.highlight:
      linenums_style: pymdownx-inline
      anchor_linenums: true
  - pymdownx.superfences      
  - pymdownx.inlinehilite
  - pymdownx.snippets:
      auto_append:
        - docs/includes/abbreviations.md
  - pymdownx.tasklist
  - pymdownx.arithmatex:
      generic: true
  - pymdownx.tabbed:
      alternate_style: true 
  - pymdownx.details
  - pymdownx.mark
  - pymdownx.emoji:
  - attr_list
  - def_list
  - footnotes
  - md_in_html
  - toc:
      permalink: "%"
      permalink: True
  - admonition
  - tables
  - codehilite

extra_css:
  - css/extra.css
  - css/custom.css

plugins:
  - glightbox
  - search
  - autorefs
  - gen-files:
      scripts:
        - docs/gen_ref_pages.py
  - literate-nav:
      nav_file: SUMMARY.md
  - section-index
  - mkdocstrings:
      handlers:
        python:
          import:
          - https://docs.python-requests.org/en/master/objects.inv
          # paths: [src/cal_tools]
          docstring_style: "sphinx"
          docstring_section_style: "list"

repo_url: https://git.xfel.eu/calibration/pycalibration


nav:
    - index.md
    - Operation:
      - CALCAT: operation/calibration_database.md
      - myMDC: operation/myMDC.md
      - Available Calibration notebooks: operation/available_notebooks.md
      - Calibration webservice:
        - The webservice: operation/webservice.md
        - Calibration Configuration: operation/calibration_configurations.md
    - Development:
      - Installation: development/installation.md
      - Workflow: development/workflow.md
      - How to write a notebook: development/how_to_write_xfel_calibrate_notebook_NBC.md
      - Configuration: development/configuration.md
      - Automated tests: development/testing_pipeline.md
    - Code Reference: reference/
    - Reference:
      - FAQ: references/faq.md
      - Changelog: references/changelog.md

copyright: |
  &copy; 2018 <a href="https://www.xfel.eu/"  target="_blank" rel="noopener">European XFEL</a>